Subject: Re: ARM3/ARM6 compatibility

From: David Alan Gilbert <[email-masked]>
Date: Fri, 16 May 97 12:15:59 BST

> > The solution is to set a flag in the a.out header to indicate 32-bit.  That
> > way, there is absolutely no need to change the binutils (apart from setting
> > said flag if you're using 32-bit).  *Nothing else changes*.
> 
> Yeah - that's basically the same solution that Matthew proposed. 

Hang on - so what you are proposing is having 26 bit Aout, 32 bit aout and then
ELF. Hmm.
Why not just have 26 bit Aout and 32 bit ELF?

Dave

---

From: Philip Blundell <[email-masked]>
Date: Fri, 16 May 1997 14:27:58 +0100 (BST)

> Why not just have 26 bit Aout and 32 bit ELF?

I think we will probably need all four combinations - 26 bit a.out, 26-bit
ELF, 32-bit a.out and 32-bit ELF.  As I said, ARM3 machines absolutely
need 26-bit code, and new ARM (eg Thumb) absolutely needs 32-bit code, so
there's no getting away from that one.  Also we need a.out and ELF, and
since binary format is pretty much orthogonal to the generated code
anyway we might as well go the whole hog.  

Can you think of any particular reasons why this is bad?

p.